ZBar::Symbol(3pm)

NAME
Barcode::ZBar::Symbol - bar code scan result object

SYNOPSIS
    my @symbols = $image->get_symbols();
    foreach my $sym (@symbols) {
        print("decoded: " . $sym->get_type() .
              ":" . $sym->get_data().
              "(" . $sym->get_count() . ")");
    }

DESCRIPTION
Barcode::ZBar::Symbol objects are constant results returned for each bar code scanned from images or video. This object wraps the raw symbol data with additional information about the decode (symbology, confidence, location, etc)

REFERENCE

  Methods

get_type()
    The type of bar code "symbology" from which the data was decoded.

get_data()
    The decoded data string. Note that some symbologies can encode binary data.

get_quality()
    Confidence metric. An unscaled integer value that indicates something (intentionally unspecified) about the reliability of this result relative to another. Larger values are better than smaller values, where "large" and "small" are application dependent. Expect this definition to become more specific as the metric is enhanced.

get_count()
    Current cache count of the symbol. This integer value provides inter-scan reliability and redundancy information if enabled at the Barcode::ZBar::ImageScanner.

get_orientation()
    General orientation of decoded symbol. This returns one of the Barcode::ZBar::Orient constants, which provide a coarse, axis-aligned indication of symbol orientation.

get_components()
    Components of a composite result. This yields an array of physical component symbols that were combined to form a composite result.

get_configs()
    Retrieve symbology boolean config settings. Returns a bitmask indicating which configs were set for the detected symbology during decoding.

get_modifiers()
    Retrieve symbology modifier flag settings. Returns a bitmask indicating which characteristics were detected during decoding.

get_loc()
    Retrieve an array of symbol location points (x,y)

    •   A negative value indicates that this result is still uncertain

    •   A zero value indicates the first occurrence of this result with high confidence

    •   A positive value indicates a duplicate scan

  Constants
Bar code type "symbology" constants:

NONE
PARTIAL
EAN13
EAN8
UPCA
UPCE
ISBN10
ISBN13
I25
CODABAR
CODE39
CODE93
CODE128
QRCODE
PDF417

SEE ALSO
Barcode::ZBar, Barcode::ZBar::Image

zbarimg(1), zbarcam(1)

http://zbar.sf.net

AUTHOR
Jeff Brown, <spadix@users.sourceforge.net>

COPYRIGHT AND LICENSE
Copyright 2008-2010 (c) Jeff Brown <spadix@users.sourceforge.net>

The ZBar Bar Code Reader is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.